changeset 13619:f2f6c8f28805

test-update-copyright.sh: skip test if Perl is too old * tests/test-update-copyright.sh: Exit 77 if Perl is too old. Reported by Tom G. Christensen.
author Jim Meyering <meyering@redhat.com>
date Thu, 02 Sep 2010 13:51:56 +0200
parents c28f6dd5002f
children fcb502a0b6e2
files ChangeLog tests/test-update-copyright.sh
diffstat 2 files changed, 10 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2010-09-02  Jim Meyering  <meyering@redhat.com>
+
+	test-update-copyright.sh: skip test if Perl is too old
+	* tests/test-update-copyright.sh: Exit 77 if Perl is too old.
+	Reported by Tom G. Christensen.
+
 2010-09-02  Bruno Haible  <bruno@clisp.org>
 
 	wctype: Avoid compilation error on IRIX 6.5.30.
--- a/tests/test-update-copyright.sh
+++ b/tests/test-update-copyright.sh
@@ -16,6 +16,10 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
+# Skip this test if Perl is too old.  FIXME: 5.6.0 is just a guess.
+# We have a report that 5.004_05 is inadequate and that 5.8.8 works.
+perl -e 'require 5.6.0' || exit 77
+
 diffout=`diff -u /dev/null /dev/null 2>&1`
 if test x"$diffout" = x"" && test $? -eq 0; then
   compare() { diff -u "$@"; }